diff --git a/app/fin/schemas/ecs_device.go b/app/fin/schemas/ecs_device.go
index e83bc78f124d47939ce4df407fa8678304a67d51..94b31c0d174a95150725b0fca2c52d448bd24909 100644
--- a/app/fin/schemas/ecs_device.go
+++ b/app/fin/schemas/ecs_device.go
@@ -2,19 +2,21 @@ package schemas
 
 // FinEcsDeviceListReq [财务]-计费方案设备绑定列表参数
 type FinEcsDeviceListReq struct {
-	Id         uint   `form:"id" json:"id" label:"主键ID列表"`                                      // 主键ID列表
-	SchemeId   uint   `form:"schemeId" json:"schemeId" structs:"schemeId" label:"方案ID"`         // 方案ID
-	RegionId   uint   `json:"regionId" form:"regionId" structs:"regionId" label:"顶级区域ID"`       // 顶级区域ID
-	RegionName string `json:"regionName" form:"regionName" structs:"regionName" label:"顶级区域名称"` // 顶级区域名称
-	AreaId     uint   `json:"areaId" form:"areaId" structs:"areaId" label:"区域ID"`               // 区域ID
-	AreaName   string `json:"areaName" form:"areaName" structs:"areaName" label:"区域名称"`         // 区域名称
-	HouseId    uint   `json:"houseId" form:"houseId" structs:"houseId"`                         // 房屋ID
-	HouseName  string `json:"houseName" form:"houseName" structs:"houseName"`                   // 房屋名
-	DeviceId   uint   `json:"deviceId" form:"deviceId" structs:"deviceId"`                      // 设备ID
-	DeviceName string `json:"deviceName" form:"deviceName" structs:"deviceName"`                // 设备名
-	Address    string `json:"address" form:"address" structs:"address" label:"设备地址"`            // 设备地址
-	MeterType  string `form:"meterType" json:"meterType" structs:"meterType" label:"设备类型"`      // 设备类型
-	HouseIds   []uint `form:"houseIds" json:"houseIds" structs:"houseIds"`                      // 房屋ID
+	Id         uint   `form:"id" json:"id" label:"主键ID列表"`                                                              // 主键ID列表
+	SchemeId   uint   `form:"schemeId" json:"schemeId" structs:"schemeId" label:"方案ID"`                                 // 方案ID
+	RegionId   uint   `json:"regionId" form:"regionId" structs:"regionId" label:"顶级区域ID"`                               // 顶级区域ID
+	RegionName string `json:"regionName" form:"regionName" structs:"regionName" label:"顶级区域名称"`                         // 顶级区域名称
+	AreaId     uint   `json:"areaId" form:"areaId" structs:"areaId" label:"区域ID"`                                       // 区域ID
+	AreaName   string `json:"areaName" form:"areaName" structs:"areaName" label:"区域名称"`                                 // 区域名称
+	HouseId    uint   `json:"houseId" form:"houseId" structs:"houseId"`                                                 // 房屋ID
+	HouseName  string `json:"houseName" form:"houseName" structs:"houseName"`                                           // 房屋名
+	HouseType  string `json:"houseType" form:"houseType" structs:"houseType"`                                           // 房屋类型
+	DeviceId   uint   `json:"deviceId" form:"deviceId" structs:"deviceId"`                                              // 设备ID
+	DeviceName string `json:"deviceName" form:"deviceName" structs:"deviceName"`                                        // 设备名
+	Address    string `json:"address" form:"address" structs:"address" label:"设备地址"`                                    // 设备地址
+	MeterType  string `form:"meterType" json:"meterType" structs:"meterType" label:"表类型"`                               // 设备类型
+	DeviceType string `json:"deviceType" form:"deviceType" structs:"deviceType" label:"设备类型(electric:电,water:水,gas:气)"` // 设备类型(electric:电,water:水,gas:气)
+	HouseIds   []uint `form:"houseIds" json:"houseIds" structs:"houseIds"`                                              // 房屋ID
 }
 
 // FinEcsDeviceDetailReq [财务]-计费方案设备绑定详情参数
@@ -23,32 +25,36 @@ type FinEcsDeviceDetailReq struct {
 
 // FinEcsDeviceAddReq [财务]-计费方案设备绑定新增参数
 type FinEcsDeviceAddReq struct {
-	SchemeId   uint   `form:"schemeId" json:"schemeId" structs:"schemeId" label:"方案ID"`         // 方案ID
-	RegionId   uint   `json:"regionId" form:"regionId" structs:"regionId" label:"顶级区域ID"`       // 顶级区域ID
-	RegionName string `json:"regionName" form:"regionName" structs:"regionName" label:"顶级区域名称"` // 顶级区域名称
-	AreaId     uint   `json:"areaId" form:"areaId" structs:"areaId" label:"区域ID"`               // 区域ID
-	AreaName   string `json:"areaName" form:"areaName" structs:"areaName" label:"区域名称"`         // 区域名称
-	HouseId    uint   `json:"houseId" form:"houseId" structs:"houseId"`                         // 房屋ID
-	HouseName  string `json:"houseName" form:"houseName" structs:"houseName"`                   // 房屋名
-	DeviceId   uint   `json:"deviceId" form:"deviceId" structs:"deviceId"`                      // 设备ID
-	DeviceName string `json:"deviceName" form:"deviceName" structs:"deviceName"`                // 设备名
-	Address    string `json:"address" form:"address" structs:"address" label:"设备地址"`            // 设备地址
-	MeterType  string `json:"meterType" form:"address" structs:"address" label:"设备类型"`          // 设备类型
+	SchemeId   uint   `form:"schemeId" json:"schemeId" structs:"schemeId" label:"方案ID"`                                 // 方案ID
+	RegionId   uint   `json:"regionId" form:"regionId" structs:"regionId" label:"顶级区域ID"`                               // 顶级区域ID
+	RegionName string `json:"regionName" form:"regionName" structs:"regionName" label:"顶级区域名称"`                         // 顶级区域名称
+	AreaId     uint   `json:"areaId" form:"areaId" structs:"areaId" label:"区域ID"`                                       // 区域ID
+	AreaName   string `json:"areaName" form:"areaName" structs:"areaName" label:"区域名称"`                                 // 区域名称
+	HouseId    uint   `json:"houseId" form:"houseId" structs:"houseId"`                                                 // 房屋ID
+	HouseName  string `json:"houseName" form:"houseName" structs:"houseName"`                                           // 房屋名
+	HouseType  string `json:"houseType" form:"houseType" structs:"houseType"`                                           // 房屋类型
+	DeviceId   uint   `json:"deviceId" form:"deviceId" structs:"deviceId"`                                              // 设备ID
+	DeviceName string `json:"deviceName" form:"deviceName" structs:"deviceName"`                                        // 设备名
+	Address    string `json:"address" form:"address" structs:"address" label:"设备地址"`                                    // 设备地址
+	MeterType  string `json:"meterType" form:"address" structs:"address" label:"设备类型"`                                  // 设备类型
+	DeviceType string `json:"deviceType" form:"deviceType" structs:"deviceType" label:"设备类型(electric:电,water:水,gas:气)"` // 设备类型(electric:电,water:水,gas:气)
 }
 
 // FinEcsDeviceEditReq [财务]-计费方案设备绑定新增参数
 type FinEcsDeviceEditReq struct {
-	Id         uint   `json:"id" form:"id" structs:"id" label:"主键"`                             // 主键
-	RegionId   uint   `json:"regionId" form:"regionId" structs:"regionId" label:"顶级区域ID"`       // 顶级区域ID
-	RegionName string `json:"regionName" form:"regionName" structs:"regionName" label:"顶级区域名称"` // 顶级区域名称
-	AreaId     uint   `json:"areaId" form:"areaId" structs:"areaId" label:"区域ID"`               // 区域ID
-	AreaName   string `json:"areaName" form:"areaName" structs:"areaName" label:"区域名称"`         // 区域名称
-	HouseId    uint   `json:"houseId" form:"houseId" structs:"houseId"`                         // 房屋ID
-	HouseName  string `json:"houseName" form:"houseName" structs:"houseName"`                   // 房屋名
-	DeviceId   uint   `json:"deviceId" form:"deviceId" structs:"deviceId"`                      // 设备ID
-	DeviceName string `json:"deviceName" form:"deviceName" structs:"deviceName"`                // 设备名
-	Address    string `json:"address" form:"address" structs:"address" label:"设备地址"`            // 设备地址
-	MeterType  string `json:"meterType" form:"address" structs:"address" label:"设备类型"`          // 设备类型
+	Id         uint   `json:"id" form:"id" structs:"id" label:"主键"`                                                     // 主键
+	RegionId   uint   `json:"regionId" form:"regionId" structs:"regionId" label:"顶级区域ID"`                               // 顶级区域ID
+	RegionName string `json:"regionName" form:"regionName" structs:"regionName" label:"顶级区域名称"`                         // 顶级区域名称
+	AreaId     uint   `json:"areaId" form:"areaId" structs:"areaId" label:"区域ID"`                                       // 区域ID
+	AreaName   string `json:"areaName" form:"areaName" structs:"areaName" label:"区域名称"`                                 // 区域名称
+	HouseId    uint   `json:"houseId" form:"houseId" structs:"houseId"`                                                 // 房屋ID
+	HouseName  string `json:"houseName" form:"houseName" structs:"houseName"`                                           // 房屋名
+	HouseType  string `json:"houseType" form:"houseType" structs:"houseType"`                                           // 房屋类型
+	DeviceId   uint   `json:"deviceId" form:"deviceId" structs:"deviceId"`                                              // 设备ID
+	DeviceName string `json:"deviceName" form:"deviceName" structs:"deviceName"`                                        // 设备名
+	Address    string `json:"address" form:"address" structs:"address" label:"设备地址"`                                    // 设备地址
+	MeterType  string `json:"meterType" form:"address" structs:"address" label:"设备类型"`                                  // 设备类型
+	DeviceType string `json:"deviceType" form:"deviceType" structs:"deviceType" label:"设备类型(electric:电,water:水,gas:气)"` // 设备类型(electric:电,water:水,gas:气)
 }
 
 // FinEcsDeviceDelReq [财务]-计费方案设备绑定新增参数
@@ -57,37 +63,41 @@ type FinEcsDeviceDelReq struct {
 
 // FinEcsDeviceResp [财务]-计费方案设备绑定返回信息
 type FinEcsDeviceResp struct {
-	Id         uint   `json:"id" form:"id" structs:"id" label:"主键"`                             // 主键
-	SchemeId   uint   `form:"schemeId" json:"schemeId" structs:"schemeId" label:"方案ID"`         // 方案ID
-	RegionId   uint   `json:"regionId" form:"regionId" structs:"regionId" label:"顶级区域ID"`       // 顶级区域ID
-	RegionName string `json:"regionName" form:"regionName" structs:"regionName" label:"顶级区域名称"` // 顶级区域名称
-	AreaId     uint   `json:"areaId" form:"areaId" structs:"areaId" label:"区域ID"`               // 区域ID
-	AreaName   string `json:"areaName" form:"areaName" structs:"areaName" label:"区域名称"`         // 区域名称
-	HouseId    uint   `json:"houseId" form:"houseId" structs:"houseId"`                         // 房屋ID
-	HouseName  string `json:"houseName" form:"houseName" structs:"houseName"`                   // 房屋名
-	DeviceId   uint   `json:"deviceId" form:"deviceId" structs:"deviceId"`                      // 设备ID
-	DeviceName string `json:"deviceName" form:"deviceName" structs:"deviceName"`                // 设备名
-	Address    string `json:"address" form:"address" structs:"address" label:"设备地址"`            // 设备地址
-	MeterType  string `json:"meterType" form:"address" structs:"address" label:"设备类型"`          // 设备类型
+	Id         uint   `json:"id" form:"id" structs:"id" label:"主键"`                                                     // 主键
+	SchemeId   uint   `form:"schemeId" json:"schemeId" structs:"schemeId" label:"方案ID"`                                 // 方案ID
+	RegionId   uint   `json:"regionId" form:"regionId" structs:"regionId" label:"顶级区域ID"`                               // 顶级区域ID
+	RegionName string `json:"regionName" form:"regionName" structs:"regionName" label:"顶级区域名称"`                         // 顶级区域名称
+	AreaId     uint   `json:"areaId" form:"areaId" structs:"areaId" label:"区域ID"`                                       // 区域ID
+	AreaName   string `json:"areaName" form:"areaName" structs:"areaName" label:"区域名称"`                                 // 区域名称
+	HouseId    uint   `json:"houseId" form:"houseId" structs:"houseId"`                                                 // 房屋ID
+	HouseName  string `json:"houseName" form:"houseName" structs:"houseName"`                                           // 房屋名
+	HouseType  string `json:"houseType" form:"houseType" structs:"houseType"`                                           // 房屋类型
+	DeviceId   uint   `json:"deviceId" form:"deviceId" structs:"deviceId"`                                              // 设备ID
+	DeviceName string `json:"deviceName" form:"deviceName" structs:"deviceName"`                                        // 设备名
+	Address    string `json:"address" form:"address" structs:"address" label:"设备地址"`                                    // 设备地址
+	MeterType  string `json:"meterType" form:"address" structs:"address" label:"设备类型"`                                  // 设备类型
+	DeviceType string `json:"deviceType" form:"deviceType" structs:"deviceType" label:"设备类型(electric:电,water:水,gas:气)"` // 设备类型(electric:电,water:水,gas:气)
 }
 
 // FinEcsDeviceResp [财务]-计费方案设备绑定返回信息
 type FinEcsSchemeDeviceResp struct {
-	SchemeId   uint    `form:"schemeId" json:"schemeId" structs:"schemeId" label:"方案ID"` // 方案ID
-	DeviceId   uint    `json:"deviceId" label:"设备ID"`                                    // 设备ID
-	DeviceName string  `json:"deviceName" label:"设备名称"`                                  // 设备名称
-	Address    string  `json:"address" label:"设备地址"`                                     // 设备地址
-	RegionId   uint    `json:"areaId" label:"顶级区域ID"`                                    // 顶级区域ID
-	RegionName string  `json:"areaName" label:"顶级区域名称"`                                  // 顶级区域名称
-	AreaId     uint    `json:"areayId" label:"区域ID"`                                     // 区域ID
-	AreaName   string  `json:"areayName" label:"区域名称"`                                   // 区域名称
-	HouseId    uint    `json:"houseId" label:"房屋ID"`                                     // 房屋ID
-	HouseName  string  `json:"houseName" label:"房屋名称"`                                   // 房屋名称
-	BuildArea  float64 `json:"buildArea" label:"建筑面积"`                                   // 建筑面积
-	UsageArea  float64 `json:"usageArea" label:"使用面积"`                                   // 使用面积
-	TollArea   float64 `json:"tollArea" label:"收费面积"`                                    // 收费面积
-	CommonArea float64 `json:"commonArea" label:"公共面积"`                                  // 公共面积
-	MeterType  string  `json:"meterType" form:"address" structs:"address" label:"设备类型"`  // 设备类型
+	SchemeId   uint    `form:"schemeId" json:"schemeId" structs:"schemeId" label:"方案ID"`                                 // 方案ID
+	DeviceId   uint    `json:"deviceId" label:"设备ID"`                                                                    // 设备ID
+	DeviceName string  `json:"deviceName" label:"设备名称"`                                                                  // 设备名称
+	Address    string  `json:"address" label:"设备地址"`                                                                     // 设备地址
+	RegionId   uint    `json:"areaId" label:"顶级区域ID"`                                                                    // 顶级区域ID
+	RegionName string  `json:"areaName" label:"顶级区域名称"`                                                                  // 顶级区域名称
+	AreaId     uint    `json:"areayId" label:"区域ID"`                                                                     // 区域ID
+	AreaName   string  `json:"areayName" label:"区域名称"`                                                                   // 区域名称
+	HouseId    uint    `json:"houseId" label:"房屋ID"`                                                                     // 房屋ID
+	HouseName  string  `json:"houseName" label:"房屋名称"`                                                                   // 房屋名称
+	HouseType  string  `json:"houseType" form:"houseType" structs:"houseType"`                                           // 房屋类型
+	BuildArea  float64 `json:"buildArea" label:"建筑面积"`                                                                   // 建筑面积
+	UsageArea  float64 `json:"usageArea" label:"使用面积"`                                                                   // 使用面积
+	TollArea   float64 `json:"tollArea" label:"收费面积"`                                                                    // 收费面积
+	CommonArea float64 `json:"commonArea" label:"公共面积"`                                                                  // 公共面积
+	MeterType  string  `json:"meterType" form:"address" structs:"address" label:"设备类型"`                                  // 设备类型
+	DeviceType string  `json:"deviceType" form:"deviceType" structs:"deviceType" label:"设备类型(electric:电,water:水,gas:气)"` // 设备类型(electric:电,water:水,gas:气)
 }
 
 type FinEcsDeviceBindReq struct {
diff --git a/app/fin/schemas/ecs_scheme.go b/app/fin/schemas/ecs_scheme.go
index 96db1d095cc78dc9f70b8ad63065ccccd294db9e..095d5ff6f8302c4ad4f4e910fc620126bf6417d1 100644
--- a/app/fin/schemas/ecs_scheme.go
+++ b/app/fin/schemas/ecs_scheme.go
@@ -67,7 +67,7 @@ type FinEcsSchemesResp struct {
 	SchemeName     string        `json:"schemeName" structs:"schemeName"`         // 方案名称
 	PayableTime    string        `json:"payableTime" structs:"payableTime"`       // 计费方式(pre:前推)
 	PaymentDay     int           `json:"paymentDay" structs:"paymentDay"`         // 支付天数
-	BillingMethod  string        `json:"billingMethod" structs:"billingMethod"`   // 计费方式(0:单一,1:月周期,2:年周期,3:四费率,4:五费率
+	BillingMethod  string        `json:"billingMethod" structs:"billingMethod"`   // 计费方式(0:单一,1:月周期,2:年周期,3:四费率,4:五费率)
 	MeterType      string        `json:"meterType" structs:"meterType"`           // 仪表类型(em:电表,hw:热水表,cool:电冷水表,gas:燃气表)
 	FeeAction      string        `json:"feeAction" structs:"feeAction"`           // 费控联动
 	CommonTaxRate  float64       `json:"commonTaxRate" structs:"commonTaxRate"`   // 普通发票费率
@@ -75,3 +75,9 @@ type FinEcsSchemesResp struct {
 	Price          []interface{} `json:"price" form:"price"`                      // 价格
 	TenantId       uint          `json:"tenantId" structs:"tenantId"`             // 租户ID
 }
+
+type SchemeStepItem struct {
+	Seq         int     `json:"seq" structs:"seq"`
+	BillAmmount float64 `json:"billingAmmount" structs:"billingAmmount"`
+	UsageTotal  float64 `json:"usageTotal" structs:"usageTotal"`
+}
diff --git a/app/fin/schemas/purse_flow_schema.go b/app/fin/schemas/purse_flow_schema.go
index c8c2867952af5030a46e6fefe4898b540b089ede..653ab61a30c9c801183ed9435b9c8d609f4fe5b4 100644
--- a/app/fin/schemas/purse_flow_schema.go
+++ b/app/fin/schemas/purse_flow_schema.go
@@ -7,8 +7,8 @@ import (
 // FinPurseFlowListReq [财务]-钱包资金流水列表参数
 type FinPurseFlowListReq struct {
 	PurseId  uint   `form:"purseId" json:"purseId" structs:"purseId"`    // 钱包ID
-	EcsType  string `form:"ecsType" json:"ecsType" structs:"ecsType"`    // 能耗类型
-	FeeType  string `form:"feeType" json:"feeType" structs:"feeType"`    // 费用类型
+	EcsType  string `form:"ecsType" json:"ecsType" structs:"ecsType"`    // 能耗类型(electric:电费,water:水费,gas:气费)
+	FeeType  string `form:"feeType" json:"feeType" structs:"feeType"`    // 费用类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
 	TenantId uint   `form:"tenantId" json:"tenantId" structs:"tenantId"` // 租户ID
 }
 
@@ -20,8 +20,8 @@ type FinPurseFlowDetailReq struct {
 // FinPurseFlowAddReq [财务]-钱包资金流水新增参数
 type FinPurseFlowAddReq struct {
 	PurseId       uint    `form:"purseId" json:"purseId" structs:"purseId"`                   // 钱包ID
-	EcsType       string  `form:"ecsType" json:"ecsType" structs:"ecsType"`                   // 能耗类型
-	FeeType       string  `form:"feeType" json:"feeType" structs:"feeType"`                   // 费用类型
+	EcsType       string  `form:"ecsType" json:"ecsType" structs:"ecsType"`                   // 能耗类型(electric:电费,water:水费,gas:气费)
+	FeeType       string  `form:"feeType" json:"feeType" structs:"feeType"`                   // 费用类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
 	Amount        float64 `form:"amount" json:"amount" structs:"amount"`                      // 变动后金额
 	PreAmount     float64 `form:"preAmount" json:"preAmount" structs:"preAmount"`             // 变动前金额
 	OperateAmount float64 `form:"operateAmount" json:"operateAmount" structs:"operateAmount"` // 变动金额
@@ -35,8 +35,8 @@ type FinPurseFlowAddReq struct {
 type FinPurseFlowEditReq struct {
 	Id            uint    `form:"id"`                                                         // 主键
 	PurseId       uint    `form:"purseId" json:"purseId" structs:"purseId"`                   // 钱包ID
-	EcsType       string  `form:"ecsType" json:"ecsType" structs:"ecsType"`                   // 能耗类型
-	FeeType       string  `form:"feeType" json:"feeType" structs:"feeType"`                   // 费用类型
+	EcsType       string  `form:"ecsType" json:"ecsType" structs:"ecsType"`                   // 能耗类型(electric:电费,water:水费,gas:气费)
+	FeeType       string  `form:"feeType" json:"feeType" structs:"feeType"`                   // 费用类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
 	Amount        float64 `form:"amount" json:"amount" structs:"amount"`                      // 变动后金额
 	PreAmount     float64 `form:"preAmount" json:"preAmount" structs:"preAmount"`             // 变动前金额
 	OperateAmount float64 `form:"operateAmount" json:"operateAmount" structs:"operateAmount"` // 变动金额
@@ -53,8 +53,8 @@ type FinPurseFlowDelReq struct {
 type FinPurseFlowResp struct {
 	Id            uint      `json:"id" structs:"id"`                                            // 主键
 	PurseId       uint      `form:"purseId" json:"purseId" structs:"purseId"`                   // 钱包ID
-	EcsType       string    `form:"ecsType" json:"ecsType" structs:"ecsType"`                   // 能耗类型
-	FeeType       string    `form:"feeType" json:"feeType" structs:"feeType"`                   // 费用类型
+	EcsType       string    `form:"ecsType" json:"ecsType" structs:"ecsType"`                   // 能耗类型(electric:电费,water:水费,gas:气费)
+	FeeType       string    `form:"feeType" json:"feeType" structs:"feeType"`                   // 费用类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
 	Amount        float64   `form:"amount" json:"amount" structs:"amount"`                      // 变动后金额
 	PreAmount     float64   `form:"preAmount" json:"preAmount" structs:"preAmount"`             // 变动前金额
 	OperateAmount float64   `form:"operateAmount" json:"operateAmount" structs:"operateAmount"` // 变动金额
@@ -63,9 +63,9 @@ type FinPurseFlowResp struct {
 	PaymentMethod string    `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"` // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
 	TenantId      uint      `form:"tenantId" json:"tenantId" structs:"tenantId"`                // 租户ID
 	CreateTime    time.Time `form:"createTime" json:"createTime" structs:"createTime"`          // 创建时间
-	PaymentTime   time.Time `form:"paymentTime"`                                                // 支付时间
-	Payee         string    `form:"payee"`                                                      // 收款人
-	Payer         string    `form:"payer"`                                                      // 付款人
+	PaymentTime   time.Time `form:"paymentTime" json:"paymentTime"`                             // 支付时间
+	Payee         string    `form:"payee" json:"payee"`                                         // 收款人
+	Payer         string    `form:"payer" json:"payer"`                                         // 付款人
 }
 
 // FinPurseFlowInvoiceListReq [财务]-钱包收据列表参数
@@ -76,12 +76,12 @@ type FinPurseFlowInvoiceListReq struct {
 	HouseName     string `json:"houseName" form:"houseName" structs:"houseName" label:"房屋名称'"` // 房屋名称
 	OwnerId       uint   `form:"ownerId" json:"ownerId" structs:"ownerId"`                     // 客户ID
 	OwnerName     string `json:"ownerName" form:"ownerName" structs:"ownerName" label:"业主名称'"` // 业主名称
-	EcsType       string `form:"ecsType" json:"ecsType" structs:"ecsType"`                     // 能耗类型
-	FeeType       string `form:"feeType" json:"feeType" structs:"feeType"`                     // 费用类型
+	EcsType       string `form:"ecsType" json:"ecsType" structs:"ecsType"`                     // 能耗类型(electric:电费,water:水费,gas:气费)
+	FeeType       string `form:"feeType" json:"feeType" structs:"feeType"`                     // 费用类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
 	PaymentSource string `json:"paymentSource" form:"paymentSource" structs:"paymentSource"`   // 缴费来源(0:后台,1:小程序,2:上门收款,3:扫码缴款)
 	PaymentMethod string `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"`   // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
 	TenantId      uint   `form:"tenantId" json:"tenantId" structs:"tenantId"`                  // 租户ID
-	FlowType      string `form:"flowType" json:"flowType" structs:"flowType"`                  // 缴费类型(0:能耗账单,1:能耗充值,2:钱包充值)
+	FlowType      string `form:"flowType" json:"flowType" structs:"flowType"`                  // 缴费类型(0:能耗账单,1:能耗充值,2:总钱包充值,3:公摊账单)
 	ReceiptState  string `json:"receiptState" structs:"receiptState"`                          // 收据状态(0:否,1:是)
 }
 
@@ -95,26 +95,26 @@ type FinPurseFlowInvoiceListRes struct {
 	HouseName       string    `json:"houseName" form:"houseName" structs:"houseName" label:"房屋名称'"` // 房屋名称
 	OwnerId         uint      `form:"ownerId,omitempty" json:"ownerId" structs:"ownerId"`           // 客户ID
 	OwnerName       string    `json:"ownerName" form:"ownerName" structs:"ownerName" label:"业主名称'"` // 业主名称
-	EcsType         string    `form:"ecsType" json:"ecsType" structs:"ecsType"`                     // 能耗类型
-	FeeType         string    `form:"feeType" json:"feeType" structs:"feeType"`                     // 交易类型
+	EcsType         string    `form:"ecsType" json:"ecsType" structs:"ecsType"`                     // 能耗类型(electric:电费,water:水费,gas:气费)
+	FeeType         string    `form:"feeType" json:"feeType" structs:"feeType"`                     // 交易类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
 	PaymentSource   string    `form:"paymentSource" json:"paymentSource" structs:"paymentSource"`   // (0:后台,1:小程序,2:上门收款,3:扫码缴款)
 	PaymentMethod   string    `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"`   // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
 	Amount          float64   `form:"amount" json:"amount" structs:"amount"`                        // 金额
 	LateAmount      float64   `json:"lateAmount" structs:"lateAmount"`                              // 滞纳金
 	ReductionAmount float64   `json:"reductionAmount" structs:"reductionAmount"`                    // 减免金额
-	UsageTotal      float64   `json:"usageTotal" structs:"usageTotal"`                              // 用量
 	CreateTime      string    `form:"createTime" json:"createTime" structs:"createTime"`            // 创建时间
 	FeeRange        string    `form:"feeRange" json:"feeRange" structs:"feeRange"`                  // 费用区间
 	OwnerNames      []string  `json:"ownerNames" structs:"ownerNames"`                              // 用户名
-	FlowType        string    `json:"flowType" structs:"flowType"`                                  // 缴费类型(0:能耗账单,1:能耗充值,2:钱包充值)
+	FlowType        string    `json:"flowType" structs:"flowType"`                                  // 缴费类型(0:能耗账单,1:能耗充值,2:总钱包充值,3:公摊账单)
 	StartDate       time.Time `json:"startDate" structs:"startDate"`                                // 费用起始日期
 	EndDate         time.Time `json:"endDate" structs:"endDate"`                                    // 费用结束日期
 	FeeName         string    `json:"feeName" structs:"feeName"`                                    // 费用名称
 	UsageStart      float64   `json:"usageStart" structs:"usageStart"`                              // 开始用量
 	UsageEnd        float64   `json:"usageEnd" structs:"usageEnd"`                                  // 结束用量
+	UsageTotal      float64   `json:"usageTotal" structs:"usageTotal"`                              // 用量
 	PaymentTime     string    `json:"paymentTime"`                                                  // 支付时间
-	Payee           string    `form:"payee"`                                                        // 收款人
-	Payer           string    `form:"payer"`                                                        // 付款人
+	Payee           string    `json:"payee"`                                                        // 收款人
+	Payer           string    `json:"payer"`                                                        // 付款人
 }
 
 // FinInvoiceGenralReq [财务]-票据生成列表参数
diff --git a/app/fin/schemas/purse_schema.go b/app/fin/schemas/purse_schema.go
index ba0157de18077a9ff927553dea3e5b1c550a969d..caac5fbd3b6261fc929e72933aedcb6ef261c9d6 100644
--- a/app/fin/schemas/purse_schema.go
+++ b/app/fin/schemas/purse_schema.go
@@ -72,13 +72,14 @@ type FinPurseFeeEditReq struct {
 	Id            uint      `json:"id" form:"id"`                                           // 主键
 	HouseId       uint      `json:"houseId" form:"houseId" structs:"houseId" label:"房屋ID'"` // 房屋ID
 	Operate       string    `json:"-"`
-	EcsType       string    `json:"ecsType" form:"ecsType"`                                     // 能耗类型(electric:电费,water:水费,gas:气费)
-	FeeType       string    `json:"-"`                                                          // 费用类型(pay:缴费,refund:退费,subsidy:补贴)
-	Amount        float64   `json:"amount" form:"Amount"`                                       // 操作金额
-	FlowType      string    `json:"flowType" form:"flowType"`                                   // 资金流水类型(bill:收银台,purse:钱包)
-	PaymentTime   time.Time `json:"paymentTime" form:"paymentTime"`                             // 支付时间
-	PaymentMethod string    `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"` // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
-	Remark        string    `json:"remark" form:"remark"`                                       // 备注
+	EcsType       string    `json:"ecsType" form:"ecsType"`                                                                 // 能耗类型(electric:电费,water:水费,gas:气费)
+	FeeType       string    `json:"-"`                                                                                      // 费用类型(pay:缴费,refund:退费,subsidy:补贴,deduct:扣费)
+	Amount        float64   `json:"amount" form:"Amount"`                                                                   // 操作金额
+	FlowType      string    `json:"flowType" form:"flowType"`                                                               // 资金流水类型(bill:收银台,purse:钱包)
+	PaymentTime   time.Time `json:"paymentTime" form:"paymentTime" structs:"paymentTime" time_format:"2006-01-02 15:04:05"` // 支付时间
+	PaymentSource string    `json:"paymentSource" form:"paymentSource" structs:"paymentSource"`                             // 缴费来源(0:后台,1:小程序,2:上门收款,3:扫码缴款)
+	PaymentMethod string    `json:"paymentMethod" form:"paymentMethod" structs:"paymentMethod"`                             // 支付方式(0:现金,1:微信,2:支付宝,3:pos机,4:银行转账,5:对公转账)
+	Remark        string    `json:"remark" form:"remark"`                                                                   // 备注
 }
 
 // FinPurseOwnerResp [财务]-业主返回信息
